Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 925571 - ice: Does not support aarch64 in rawhide
Summary: ice: Does not support aarch64 in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ice
Version: rawhide
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1099873
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:46 UTC by Dennis Gilmore
Modified: 2014-09-29 04:00 UTC (History)
3 users (show)

Fixed In Version: ice-3.5.1-12.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 04:00:58 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Handle AArch64 (5.89 KB, patch)
2014-05-21 11:45 UTC, Marcin Juszkiewicz
no flags Details | Diff
patch + spec changeset (6.60 KB, patch)
2014-09-19 11:05 UTC, Marcin Juszkiewicz
no flags Details | Diff
patch + spec changeset for -12 (6.67 KB, patch)
2014-09-22 11:46 UTC, Marcin Juszkiewicz
no flags Details | Diff

Description Dennis Gilmore 2013-03-23 00:46:19 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  ice appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/ice/ice-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Marcin Juszkiewicz 2014-05-21 11:45:05 UTC
Created attachment 897934 [details]
Handle AArch64

config.{guess,sub} stuff is not a problem here

The problem is in places where endianness (big/little) and word size (32/64) are checked. Ice already has patches to add ARM and S390 into those checks but I decided to do it in other way.

ice-3.5.1-archs.patch is taken from Ubuntu and gets rid of whole architecture check in favour of system headers which do that for us (so will also handle ppc64le).

Comment 2 Marcin Juszkiewicz 2014-09-19 11:05:09 UTC
Created attachment 939226 [details]
patch + spec changeset

This patchset drops s390 and arm enablement patches and replaces them with one from Ubuntu so ice now use libc headers to check for endianness and word size.

Build tested on following architectures:

11:01 hrw@pinkypie-rawhide:ice$ s390-koji build --scratch rawhide *src.rpm
Uploading srpm: ice-3.5.1-9.fc22.src.rpm
[====================================] 100% 00:00:27   4.60 MiB 173.01 KiB/sec
Created task: 1541518
Task info: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1541518
Watching tasks (this may be safely interrupted)...
1541518 build (rawhide, ice-3.5.1-9.fc22.src.rpm): free
1541518 build (rawhide, ice-3.5.1-9.fc22.src.rpm): free -> open (fedora2.s390.bos.redhat.com)
  1541519 buildArch (ice-3.5.1-9.fc22.src.rpm, s390): free
  1541520 buildArch (ice-3.5.1-9.fc22.src.rpm, s390x): open (fedora3.s390.bos.redhat.com)
  1541519 buildArch (ice-3.5.1-9.fc22.src.rpm, s390): free -> open (fedora1.s390.bos.redhat.com)
  1541519 buildArch (ice-3.5.1-9.fc22.src.rpm, s390): open (fedora1.s390.bos.redhat.com) -> closed
  0 free  2 open  1 done  0 failed
  1541520 buildArch (ice-3.5.1-9.fc22.src.rpm, s390x): open (fedora3.s390.bos.redhat.com) -> closed
  0 free  1 open  2 done  0 failed
1541518 build (rawhide, ice-3.5.1-9.fc22.src.rpm): open (fedora2.s390.bos.redhat.com) -> closed
  0 free  0 open  3 done  0 failed

1541518 build (rawhide, ice-3.5.1-9.fc22.src.rpm) completed successfully

11:30 hrw@pinkypie-rawhide:ice$ ppc-koji build --scratch rawhide *src.rpm
Uploading srpm: ice-3.5.1-9.fc22.src.rpm
[====================================] 100% 00:00:20   4.60 MiB 225.90 KiB/sec
Created task: 2111518
Task info: http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2111518
Watching tasks (this may be safely interrupted)...
2111518 build (rawhide, ice-3.5.1-9.fc22.src.rpm): open (ppc-le-builder2)
  2111519 buildArch (ice-3.5.1-9.fc22.src.rpm, ppc64le): open (ppc-le-builder5)
  2111519 buildArch (ice-3.5.1-9.fc22.src.rpm, ppc64le): open (ppc-le-builder5) -> closed
  0 free  1 open  1 done  0 failed
2111518 build (rawhide, ice-3.5.1-9.fc22.src.rpm): open (ppc-le-builder2) -> closed
  0 free  0 open  2 done  0 failed

2111518 build (rawhide, ice-3.5.1-9.fc22.src.rpm) completed successfully

11:20 hrw@pinkypie-rawhide:ice$ arm-koji build --scratch rawhide *src.rpm
Uploading srpm: ice-3.5.1-9.fc22.src.rpm
[====================================] 100% 00:00:10   4.60 MiB 450.83 KiB/sec
Created task: 2680704
Task info: http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2680704
Watching tasks (this may be safely interrupted)...
2680704 build (rawhide, ice-3.5.1-9.fc22.src.rpm): free
2680704 build (rawhide, ice-3.5.1-9.fc22.src.rpm): free -> open (arm01-builder13.arm.fedoraproject.org)
  2680706 buildArch (ice-3.5.1-9.fc22.src.rpm, aarch64): free
  2680706 buildArch (ice-3.5.1-9.fc22.src.rpm, aarch64): free -> open (aarch64-builder05.bos.fedoraproject.org)
  2680706 buildArch (ice-3.5.1-9.fc22.src.rpm, aarch64): open (aarch64-builder05.bos.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2680704 build (rawhide, ice-3.5.1-9.fc22.src.rpm): open (arm01-builder13.arm.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2680704 build (rawhide, ice-3.5.1-9.fc22.src.rpm) completed successfully

10:54 hrw@pinkypie-rawhide:ice$ fedpkg scratch-build --srpm *src.rpm --background
[====================================] 100% 00:00:36   4.60 MiB 129.00 KiB/sec
Building ice-3.5.1-9.fc22.src.rpm for rawhide
Created task: 7628374
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7628374
Watching tasks (this may be safely interrupted)...
7628374 build (rawhide, ice-3.5.1-9.fc22.src.rpm): open (buildvm-03.phx2.fedoraproject.org)
  7628375 buildArch (ice-3.5.1-9.fc22.src.rpm, armv7hl): open (arm04-builder14.arm.fedoraproject.org)
  7628376 buildArch (ice-3.5.1-9.fc22.src.rpm, x86_64): open (buildvm-05.phx2.fedoraproject.org)
  7628377 buildArch (ice-3.5.1-9.fc22.src.rpm, i686): open (buildhw-12.phx2.fedoraproject.org)
  7628377 buildArch (ice-3.5.1-9.fc22.src.rpm, i686): open (buildhw-12.phx2.fedoraproject.org) -> closed
  0 free  3 open  1 done  0 failed
  7628376 buildArch (ice-3.5.1-9.fc22.src.rpm, x86_64): open (buildvm-05.phx2.fedoraproject.org) -> closed
  0 free  2 open  2 done  0 failed
  7628375 buildArch (ice-3.5.1-9.fc22.src.rpm, armv7hl): open (arm04-builder14.arm.fedoraproject.org) -> closed
  0 free  1 open  3 done  0 failed
7628374 build (rawhide, ice-3.5.1-9.fc22.src.rpm): open (buildvm-03.phx2.fedoraproject.org) -> closed
  0 free  0 open  4 done  0 failed

7628374 build (rawhide, ice-3.5.1-9.fc22.src.rpm) completed successfully

Comment 3 Haïkel Guémar 2014-09-19 18:06:25 UTC
Built and imported in rawhide, thanks !

Comment 4 Marcin Juszkiewicz 2014-09-22 06:14:14 UTC
Sorry, but you merged useless fix (config.{sub,guess} are updated by %configure macro) instead of proper one (which obsoleted one you merged).

Comment 5 Haïkel Guémar 2014-09-22 07:04:00 UTC
Latest patch doesn't apply

Comment 6 Fedora Admin XMLRPC Client 2014-09-22 11:31:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Marcin Juszkiewicz 2014-09-22 11:37:11 UTC
Latest patch applied cleanly to -9 package. I can refresh it to the -11 one if needed.

Comment 8 Marcin Juszkiewicz 2014-09-22 11:46:58 UTC
Created attachment 939977 [details]
patch + spec changeset for -12

updated to apply to current git

Comment 9 Haïkel Guémar 2014-09-22 13:51:33 UTC
Thanks for your rudeness and speaking behind my back on #fedora-arm about someone who bothered helping you.

Comment 10 Fedora Update System 2014-09-23 16:39:17 UTC
ice-3.5.1-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ice-3.5.1-12.fc21

Comment 11 Fedora Update System 2014-09-24 15:46:08 UTC
Package ice-3.5.1-12.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ice-3.5.1-12.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11196/ice-3.5.1-12.fc21
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-09-29 04:00:58 UTC
ice-3.5.1-12.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.